# Class PageBorders

#### Hierarchy

- IgnoreIfEmptyXmlComponent
  - PageBorders

- Defined in file/document/body/section-properties/properties/page-borders.ts:76

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new PageBorders(options?): PageBorders

- #### Parameters

  - ##### `Optional` options: IPageBordersOptions

  #### Returns PageBorders

  Overrides IgnoreIfEmptyXmlComponent.constructor

  - Defined in file/document/body/section-properties/properties/page-borders.ts:77

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from IgnoreIfEmptyXmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from IgnoreIfEmptyXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:53

Generated using TypeDoc